libzypp 17.37.10

zyppng::detail::transform_collect_helper< Fun > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/expected.h>`

## Public Member Functions
template<typename T>
auto | operator() (T &&in)

## Public Attributes
Fun | _callback

## Detailed Description

template<typename Fun>
struct zyppng::detail::transform_collect_helper< Fun >

Definition at line 695 of file expected.h.

## Member Function Documentation

## ◆ operator()()

template<typename Fun>
template<typename T>

auto zyppng::detail::transform_collect_helper< Fun >::operator() | ( | T && | in | ) |
| inline

Definition at line 698 of file expected.h.

## Member Data Documentation

## ◆ _callback

template<typename Fun>

Fun zyppng::detail::transform_collect_helper< Fun >::_callback

Definition at line 696 of file expected.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/expected.h